<?php
/**
 * @ Functions Theme Blocre
 * 
 */
 
 /**
 * @ Remove WP Generator
 */
remove_action('wp_head', 'wp_generator');

/**
 * @ Filter Gallery
 * Original from Sandbox theme (GNU 2)
 * Modified by Adilade.fr
 */
 
// Function to filter the default gallery shortcode
function sandbox_gallery($attr) {
	global $post;
	if ( isset($attr['orderby']) ) {
		$attr['orderby'] = sanitize_sql_orderby($attr['orderby']);
		if ( !$attr['orderby'] )
			unset($attr['orderby']);
	}

	extract(shortcode_atts( array(
		'orderby'    => 'menu_order ASC, ID ASC',
		'id'         => $post->ID,
		'itemtag'    => 'dl',
		'icontag'    => 'dt',
		'captiontag' => 'dd',
		'columns'    => 2,
		'size'       => 'thumbnail',
	), $attr ));

	$id           =  intval($id);
	$orderby      =  addslashes($orderby);
	$attachments  =  get_children("post_parent=$id&post_type=attachment&post_mime_type=image&orderby={$orderby}");

	if ( empty($attachments) )
		return null;

	if ( is_feed() ) {
		$output = "\n";
		foreach ( $attachments as $id => $attachment )
			$output .= wp_get_attachment_link( $id, $size, true ) . "\n";
		return $output;
	}

	//$listtag     =  tag_escape($listtag);
	$itemtag     =  tag_escape($itemtag);
	$captiontag  =  tag_escape($captiontag);
	$columns     =  intval($columns);
	$itemwidth   =  $columns > 0 ? floor(100/$columns) : 100;

	$output = apply_filters( 'gallery_style', "\n" . '<div class="gallery">', 9 ); // Available filter: gallery_style

	$i = 0;
	foreach ( $attachments as $id => $attachment ) {
		$img_src = wp_get_attachment_image_src( $id, $size );
		$img_alt = $attachment->post_excerpt;
		if ( $img_alt == null )
			$img_alt = $attachment->post_title;
		$img_class = apply_filters( 'gallery_img_class', 'gallery-image' ); // Available filter: gallery_img_class

		$output  .=  "\n\t" . '<' . $itemtag . ' class="gallery-item gallery-columns-' . $columns .'">';
		$output  .=  "\n\t\t" . '<' . $icontag . ' class="gallery-icon"><a href="'.$attachment->guid.'" title="' . $img_alt . '"><img src="' . $img_src[0] . '" alt="' . $img_alt . '" class="' . $img_class . ' attachment-' . $size . '" width="'.$img_src[1].'" height="'.$img_src[2].'" /></a></' . $icontag . '>';

		if ( $captiontag && trim($attachment->post_excerpt) ) {
			$output .= "\n\t\t" . '<' . $captiontag . ' class="gallery-caption">' . $attachment->post_excerpt . '</' . $captiontag . '>';
		}

		$output .= "\n\t" . '</' . $itemtag . '>';
		if ($columns > 0 && ++$i % $columns == 0 && $i != count($attachments))
			$output .= "\n</div>\n" . '<div class="gallery">';
	}
	$output .= "\n</div><hr class=\"clear\"/>\n";

	return $output;
}

// Add the filter
add_filter('post_gallery', 'sandbox_gallery');
?>
